Package org.apache.sling.resourceresolver.impl.providers

# Class RuntimeServiceImpl

java.lang.Object
org.apache.sling.resourceresolver.impl.providers.RuntimeServiceImpl

All Implemented Interfaces:
  `org.apache.sling.api.resource.runtime.RuntimeService`

public class RuntimeServiceImpl extends Object implements org.apache.sling.api.resource.runtime.RuntimeService

## Constructor Summary

Constructors
Constructor
Description
`RuntimeServiceImpl(ResourceProviderTracker tracker)`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.api.resource.runtime.dto.RuntimeDTO`
`getRuntimeDTO()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RuntimeServiceImpl

public RuntimeServiceImpl(ResourceProviderTracker tracker)

## Method Details

### getRuntimeDTO

public org.apache.sling.api.resource.runtime.dto.RuntimeDTO getRuntimeDTO()

Specified by:
  `getRuntimeDTO` in interface `org.apache.sling.api.resource.runtime.RuntimeService`